PPIx::Regexp::Token::Whitespace(3pm)

NAME
PPIx::Regexp::Token::Whitespace - Represent whitespace

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{ foo }smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::Whitespace" is a PPIx::Regexp::Token::NoOp.

"PPIx::Regexp::Token::Whitespace" has no descendants.

DESCRIPTION
This class represents whitespace. It will appear inside the regular expression only if the "/x" modifier is present, but it may also appear between the type and the opening delimiter (e.g. "qr {foo}") or after the regular expression in a bracketed substitution (e.g. "s{foo} {bar}").

If the "/xx" modifier is present, it can also appear inside bracketed character classes. This was introduced in Perl 5.25.9.

METHODS
This class provides no public methods beyond those provided by its superclass.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-Regexp/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025-2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.